<template>
  <navbar></navbar>
  <h1 class="text-center mt-10 text-4xl">Elegir Curso</h1>
  <div class="text-sm breadcrumbs ml-12 mt-10">
    <ul>
      <li>
        <a
          @click="
            $router.push({
              path: elegirAsignaturaURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Elegir Asignatura
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: elegirCursoURL,
              query: { asig_id: this.$route.query.asig_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Elegir Curso
        </a>
      </li>
      
    </ul>
  </div>
  <div>
    <card-curso></card-curso>
  </div>
</template>

<script>
import axios from "axios";
import CardCurso from "../../components/ASIST_TAR/CardCurso.vue";
import navbar from '../../components/Navbar.vue'
export default {
  components: { CardCurso,navbar },
  data(){
    return{
      elegirAsignaturaURL:"",
      elegirCursoURL:"",
    }
   
  },
  mounted(){
      axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {

          if (response.data.rol == "DOCENTE") {
            this.elegirAsignaturaURL=
              "/ElegirAsignatura";
            this.elegirCursoURL=
            "/ElegirCurso"
          } else if (response.data.rol == "ALUMNO") {
            this.elegirAsignaturaURL=
              "/ElegirAsignaturaAlumno"
          }

        });
    }
};
</script>

<style></style>
